Subject: Re: Crosscompile
From: [email-masked] (HASEGAWA Kay)

7 Mar 1997 03:17:34 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
In-Reply-To: <[email-masked]> from "Gerhard Wesp" at Mar 6, 97 10:00:25 am
X-Mailer: ELM [version 2.4(JP v0.38b2) PL25]
Original-Sender: [email-masked]

gwesp>> I tried the win32-{gcc,binutils,...} packages of Debian, but they don't
gwesp>>really work (especially there are problems with include files). Moreover,
gwesp>>they seem a bit outdated and basically come without documentation.
gwesp>>
gwesp>> What steps would be necessary
gwesp>>to use gcc as a crosscompiler?  Since the CPU is the same on Linux
gwesp>>and on Win95, shouldn't it be sufficient to use just a specialized
gwesp>>assembler and linker to create .obj's and then .exe's? Would it be
gwesp>>possible to use the header files from e.g. M$ Visual C 4.00 with gcc?

As the cross-compiler package included in Debian is slightly older to make 
cross-compiled apps run with cygwin.dll of gnu-win32 B17.1, it is a good
idea to make updated cross-compiler from 17.1B distribution.  
What I did was following;
1)un-tar cdksrc.tar in SRC=/usr/local/src/cygwin32 for example, 
2)mkdir $(SRC)/i586-pc-cygwin32 ,and cd there
3)../configure --target=i586-pc-cygwin32 --host=i586-pc-linux
4)make, then install
 
I think making cross-compiler from original gcc would be tough with/without
MSV++ headers.

-Kay
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".